Package uk.ac.starlink.vo

## Enum Vosi11TapMetaReader.DetailMode

- java.lang.Object
- - java.lang.Enum<Vosi11TapMetaReader.DetailMode>
  - - uk.ac.starlink.vo.Vosi11TapMetaReader.DetailMode

- Enclosing class:
    Vosi11TapMetaReader

      public static enum Vosi11TapMetaReader.DetailMode
      extends java.lang.Enum<Vosi11TapMetaReader.DetailMode>

  Enumeration for detail-preference mode of table metadata queries.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `MAX` | Detail=max.
    `MIN` | Detail=min.
    `NULL` | No detail preference.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDescription​()` | Returns a description of the function described by this mode (one sentence, not capitalised).
    `static Vosi11TapMetaReader.DetailMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Vosi11TapMetaReader.DetailMode[]` | `values​()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MIN

          public static final Vosi11TapMetaReader.DetailMode MIN

      Detail=min. Hints that a full tableset query should return only tables no columns or fkeys.

    - #### MAX

          public static final Vosi11TapMetaReader.DetailMode MAX

      Detail=max. Hints that a full tableset query should return columns and fkeys along with tables.

    - #### NULL

          public static final Vosi11TapMetaReader.DetailMode NULL

      No detail preference. No hint to service whether column and fkey metadata is supplied along with tables.

  - ### Method Detail

    - #### values

          public static Vosi11TapMetaReader.DetailMode[] values​()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Vosi11TapMetaReader.DetailMode c : Vosi11TapMetaReader.DetailMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Vosi11TapMetaReader.DetailMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getDescription

          public java.lang.String getDescription​()

      Returns a description of the function described by this mode (one sentence, not capitalised).
      Returns:
        description

Copyright © 2018 Central Laboratory of the Research Councils. All Rights Reserved.